## org.eclipse.xsd
Interface XSDSimpleTypeDefinition

All Superinterfaces:
  EObject, Notifier, XSDComplexTypeContent, XSDComponent, XSDConcreteComponent, XSDNamedComponent, XSDRedefinableComponent, XSDRedefineContent, XSDSchemaContent, XSDTypeDefinition

All Known Implementing Classes:
  XSDSimpleTypeDefinitionImpl

    public interface XSDSimpleTypeDefinition

extends XSDTypeDefinition, XSDComplexTypeContent

A representation of the model object 'Simple Type Definition'. For the methods named getEffectiveXyzFacet, effective means that the value of the property is computed based on the direct facets of this type, or, if the facet is not present, is computed recursively from the `base type`.

The following features are supported:

- `Variety`
- `Final`
- `Lexical Final`
- `Valid Facets`
- `Contents`
- `Facet Contents`
- `Facets`
- `Member Type Definitions`
- `Fundamental Facets`
- `Base Type Definition`
- `Primitive Type Definition`
- `Item Type Definition`
- `Root Type Definition`
- `Min Facet`
- `Max Facet`
- `Max Inclusive Facet`
- `Min Inclusive Facet`
- `Min Exclusive Facet`
- `Max Exclusive Facet`
- `Length Facet`
- `White Space Facet`
- `Enumeration Facets`
- `Pattern Facets`
- `Cardinality Facet`
- `Numeric Facet`
- `Max Length Facet`
- `Min Length Facet`
- `Total Digits Facet`
- `Fraction Digits Facet`
- `Ordered Facet`
- `Bounded Facet`
- `Effective Max Facet`
- `Effective White Space Facet`
- `Effective Max Length Facet`
- `Effective Fraction Digits Facet`
- `Effective Pattern Facet`
- `Effective Enumeration Facet`
- `Effective Total Digits Facet`
- `Effective Min Length Facet`
- `Effective Length Facet`
- `Effective Min Facet`
- `Synthetic Facets`

See Also:
  `XSDPackage.getXSDSimpleTypeDefinition()`

Nested Class Summary
`static interface` `XSDSimpleTypeDefinition.Assessment` Information gathered during the assessment a literal with respect to a '`Simple Type Definition`'.

Method Summary
`XSDSimpleTypeDefinition.Assessment` `assess(org.w3c.dom.Node node)` Returns an assessment of the node.
`XSDSimpleTypeDefinition.Assessment` `assess(java.lang.String literal)` Returns an assessment of the literal.
`int` `compareLiterals(java.lang.String literal1, java.lang.String literal2)` Returns `-1`, `0`, or `1`, depending on the `order` of the `value` of each of the given literals.
`int` `compareValues(java.lang.Object value1, java.lang.Object value2)` Returns `-1`, `0`, or `1`, depending on the `order` of the `value`s.
`boolean` `equalLiterals(java.lang.String literal1, java.lang.String literal2)` Returns whether the `value` of each of the given literals are equal.
`boolean` `equalValues(java.lang.Object value1, java.lang.Object value2)` Returns whether the `value`s are equal.
`XSDSimpleTypeDefinition` `getBaseTypeDefinition()` Returns the value of the 'Base Type Definition' reference
`XSDBoundedFacet` `getBoundedFacet()` Returns the value of the 'Bounded Facet' reference
`java.lang.String` `getCanonicalLiteral(java.lang.String literal)` Returns the canonical literal of the literal with respect to this simple type definition.
`XSDCardinalityFacet` `getCardinalityFacet()` Returns the value of the 'Cardinality Facet' reference
`EList<XSDSimpleTypeDefinition>` `getContents()` Returns the value of the 'Contents' containment reference list.
`XSDEnumerationFacet` `getEffectiveEnumerationFacet()` Returns the value of the 'Effective Enumeration Facet' reference
`XSDFractionDigitsFacet` `getEffectiveFractionDigitsFacet()` Returns the value of the 'Effective Fraction Digits Facet' reference
`XSDLengthFacet` `getEffectiveLengthFacet()` Returns the value of the 'Effective Length Facet' reference
`XSDMaxFacet` `getEffectiveMaxFacet()` Returns the value of the 'Effective Max Facet' reference
`XSDMaxLengthFacet` `getEffectiveMaxLengthFacet()` Returns the value of the 'Effective Max Length Facet' reference
`XSDMinFacet` `getEffectiveMinFacet()` Returns the value of the 'Effective Min Facet' reference
`XSDMinLengthFacet` `getEffectiveMinLengthFacet()` Returns the value of the 'Effective Min Length Facet' reference
`XSDPatternFacet` `getEffectivePatternFacet()` Returns the value of the 'Effective Pattern Facet' reference
`XSDTotalDigitsFacet` `getEffectiveTotalDigitsFacet()` Returns the value of the 'Effective Total Digits Facet' reference
`XSDWhiteSpaceFacet` `getEffectiveWhiteSpaceFacet()` Returns the value of the 'Effective White Space Facet' reference
`EList<XSDEnumerationFacet>` `getEnumerationFacets()` Returns the value of the 'Enumeration Facets' reference list.
`EList<XSDConstrainingFacet>` `getFacetContents()` Returns the value of the 'Facet Contents' containment reference list.
`EList<XSDConstrainingFacet>` `getFacets()` Returns the value of the 'Facets' reference list.
`EList<XSDSimpleFinal>` `getFinal()` Returns the value of the 'Final' attribute list.
`XSDFractionDigitsFacet` `getFractionDigitsFacet()` Returns the value of the 'Fraction Digits Facet' reference
`EList<XSDFundamentalFacet>` `getFundamentalFacets()` Returns the value of the 'Fundamental Facets' containment reference list.
`XSDSimpleTypeDefinition` `getItemTypeDefinition()` Returns the value of the 'Item Type Definition' reference
`XSDLengthFacet` `getLengthFacet()` Returns the value of the 'Length Facet' reference
`EList<XSDSimpleFinal>` `getLexicalFinal()` Returns the value of the 'Lexical Final' attribute list.
`XSDMaxExclusiveFacet` `getMaxExclusiveFacet()` Returns the value of the 'Max Exclusive Facet' reference
`XSDMaxFacet` `getMaxFacet()` Returns the value of the 'Max Facet' reference
`XSDMaxInclusiveFacet` `getMaxInclusiveFacet()` Returns the value of the 'Max Inclusive Facet' reference
`XSDMaxLengthFacet` `getMaxLengthFacet()` Returns the value of the 'Max Length Facet' reference
`EList<XSDSimpleTypeDefinition>` `getMemberTypeDefinitions()` Returns the value of the 'Member Type Definitions' reference list.
`XSDMinExclusiveFacet` `getMinExclusiveFacet()` Returns the value of the 'Min Exclusive Facet' reference
`XSDMinFacet` `getMinFacet()` Returns the value of the 'Min Facet' reference
`XSDMinInclusiveFacet` `getMinInclusiveFacet()` Returns the value of the 'Min Inclusive Facet' reference
`XSDMinLengthFacet` `getMinLengthFacet()` Returns the value of the 'Min Length Facet' reference
`java.lang.String` `getNormalizedLiteral(java.lang.String literal)` Returns the normalized value of the literal with respect to this simple type definition.
`XSDNumericFacet` `getNumericFacet()` Returns the value of the 'Numeric Facet' reference
`XSDOrderedFacet` `getOrderedFacet()` Returns the value of the 'Ordered Facet' reference
`EList<XSDPatternFacet>` `getPatternFacets()` Returns the value of the 'Pattern Facets' reference list.
`XSDSimpleTypeDefinition` `getPrimitiveTypeDefinition()` Returns the value of the 'Primitive Type Definition' reference
`XSDSimpleTypeDefinition` `getRootTypeDefinition()` Returns the value of the 'Root Type Definition' reference
`java.lang.String` `getStringFinal()` Returns the String value of the '`Final`' attribute list
`java.lang.String` `getStringLexicalFinal()` Returns the String value of the '`Lexical Final`' attribute list
`EList<XSDFacet>` `getSyntheticFacets()` Returns the value of the 'Synthetic Facets' containment reference list.
`XSDTotalDigitsFacet` `getTotalDigitsFacet()` Returns the value of the 'Total Digits Facet' reference
`EList<java.lang.String>` `getValidFacets()` Returns the value of the 'Valid Facets' attribute list.
`java.lang.Object` `getValue(java.lang.String literal)` Returns the value of the literal in the value space of this simple type definition.
`XSDVariety` `getVariety()` Returns the value of the 'Variety' attribute.
`XSDWhiteSpaceFacet` `getWhiteSpaceFacet()` Returns the value of the 'White Space Facet' reference
`boolean` `isSetLexicalFinal()` Returns whether the value of the '`Lexical Final`' attribute list is set
`boolean` `isSetVariety()` Returns whether the value of the '`Variety`' attribute is set
`boolean` `isValidLiteral(java.lang.String literal)` Returns whether the literal is valid with respect to this simple type definition.
`void` `setBaseTypeDefinition(XSDSimpleTypeDefinition value)` Sets the value of the '`Base Type Definition`' reference
`void` `setItemTypeDefinition(XSDSimpleTypeDefinition value)` Sets the value of the '`Item Type Definition`' reference
`void` `setPrimitiveTypeDefinition(XSDSimpleTypeDefinition value)` Sets the value of the '`Primitive Type Definition`' reference
`void` `setStringLexicalFinal(java.lang.String lexicalFinal)` Sets the String value of the '`Lexical Final`' attribute
`void` `setVariety(XSDVariety value)` Sets the value of the '`Variety`' attribute
`void` `unsetLexicalFinal()` Unsets the value of the '`Lexical Final`' attribute list
`void` `unsetVariety()` Unsets the value of the '`Variety`' attribute

Methods inherited from interface org.eclipse.xsd.XSDTypeDefinition
`getAnnotation, getAnnotations, getBadTypeDerivation, getBaseType, getComplexType, getDerivationAnnotation, getRootType, getSimpleType, setAnnotation, setDerivationAnnotation`

Methods inherited from interface org.eclipse.xsd.XSDRedefinableComponent
`isCircular`

Methods inherited from interface org.eclipse.xsd.XSDNamedComponent
`getAliasName, getAliasURI, getName, getQName, getQName, getTargetNamespace, getURI, hasNameAndTargetNamespace, hasSameNameAndTargetNamespace, hasURI, setName, setTargetNamespace`

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, cloneConcreteComponent, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement, validate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, cloneConcreteComponent, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement, validate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getVariety

    XSDVariety getVariety()

  Returns the value of the 'Variety' attribute. The literals are from the enumeration `XSDVariety`.

  This represents the variety infoset property. It is computed based on the presence or absence of an `item type` or of `member types`, and should not be set directly.

  Returns:
    the value of the 'Variety' attribute.
  See Also:
    `XSDVariety`, `isSetVariety()`, `unsetVariety()`, `setVariety(XSDVariety)`, `XSDPackage.getXSDSimpleTypeDefinition_Variety()`

### setVariety

    void setVariety(XSDVariety value)

  Sets the value of the '`Variety`' attribute.

  Parameters:
    `value` - the new value of the 'Variety' attribute.
  See Also:
    `XSDVariety`, `isSetVariety()`, `unsetVariety()`, `getVariety()`

### unsetVariety

    void unsetVariety()

  Unsets the value of the '`Variety`' attribute.

  See Also:
    `isSetVariety()`, `getVariety()`, `setVariety(XSDVariety)`

### isSetVariety

    boolean isSetVariety()

  Returns whether the value of the '`Variety`' attribute is set.

  Returns:
    whether the value of the 'Variety' attribute is set.
  See Also:
    `unsetVariety()`, `getVariety()`, `setVariety(XSDVariety)`

### getFinal

    EList<XSDSimpleFinal> getFinal()

  Returns the value of the 'Final' attribute list. The list contents are of type `XSDSimpleFinal`. The literals are from the enumeration `XSDSimpleFinal`.

  This represents the final infoset property. It is computed from the `lexical final` and should not typically be modified directly.

  Returns:
    the value of the 'Final' attribute list.
  See Also:
    `getStringFinal()`, `XSDSimpleFinal`, `XSDPackage.getXSDSimpleTypeDefinition_Final()`

### getStringFinal

    java.lang.String getStringFinal()

  Returns the String value of the '`Final`' attribute list.

  Returns:
    the String value of the 'Final' attribute list.
  See Also:
    `getFinal()`

### getLexicalFinal

    EList<XSDSimpleFinal> getLexicalFinal()

  Returns the value of the 'Lexical Final' attribute list. The list contents are of type `XSDSimpleFinal`. The literals are from the enumeration `XSDSimpleFinal`.

  This concrete attribute list represents the value of the final attribute.

  Returns:
    the value of the 'Lexical Final' attribute list.
  See Also:
    `getStringLexicalFinal()`, `XSDSimpleFinal`, `isSetLexicalFinal()`, `unsetLexicalFinal()`, `XSDPackage.getXSDSimpleTypeDefinition_LexicalFinal()`

### unsetLexicalFinal

    void unsetLexicalFinal()

  Unsets the value of the '`Lexical Final`' attribute list.

  See Also:
    `isSetLexicalFinal()`, `getLexicalFinal()`

### isSetLexicalFinal

    boolean isSetLexicalFinal()

  Returns whether the value of the '`Lexical Final`' attribute list is set.

  Returns:
    whether the value of the 'Lexical Final' attribute list is set.
  See Also:
    `unsetLexicalFinal()`, `getLexicalFinal()`

### getStringLexicalFinal

    java.lang.String getStringLexicalFinal()

  Returns the String value of the '`Lexical Final`' attribute list.

  Returns:
    the String value of the 'Lexical Final' attribute list.
  See Also:
    `getLexicalFinal()`, `setStringLexicalFinal(java.lang.String)`

### setStringLexicalFinal

    void setStringLexicalFinal(java.lang.String lexicalFinal)

  Sets the String value of the '`Lexical Final`' attribute.

  Parameters:
    `lexicalFinal` - the new value of the 'Lexical Final' attribute.
  See Also:
    `getLexicalFinal()`, `getStringLexicalFinal()`

### getValidFacets

    EList<java.lang.String> getValidFacets()

  Returns the value of the 'Valid Facets' attribute list. The list contents are of type `String`.

  This computed attribute list represents the `facet name` of each type of facet that is valid for this simple type definition.

  Returns:
    the value of the 'Valid Facets' attribute list.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_ValidFacets()`

### getContents

    EList<XSDSimpleTypeDefinition> getContents()

  Returns the value of the 'Contents' containment reference list. The list contents are of type `XSDSimpleTypeDefinition`.

  This concrete reference list represents the anonymous simple type definition content of a restriction, list, or union element.

  Returns:
    the value of the 'Contents' containment reference list.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_Contents()`

### getFacetContents

    EList<XSDConstrainingFacet> getFacetContents()

  Returns the value of the 'Facet Contents' containment reference list. The list contents are of type `XSDConstrainingFacet`.

  This concrete reference list represents the facet contents of a restriction. There are convenience methods named getXyzFacet that provide direct access to the individual facets. There are, however, no methods named setXyzFacet; one should add facets to this list or remove facets from this list in order to effect change.

  Returns:
    the value of the 'Facet Contents' containment reference list.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_FacetContents()`

### getFacets

    EList<XSDConstrainingFacet> getFacets()

  Returns the value of the 'Facets' reference list. The list contents are of type `XSDConstrainingFacet`.

  This represents the facets infoset property. It is computed from the `facet contents` and should typically not be modified directly.

  Returns:
    the value of the 'Facets' reference list.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_Facets()`

### getMemberTypeDefinitions

    EList<XSDSimpleTypeDefinition> getMemberTypeDefinitions()

  Returns the value of the 'Member Type Definitions' reference list. The list contents are of type `XSDSimpleTypeDefinition`.

  This represents the member type definitions infoset property. When constructing a union type, each anonymous member type should be added to both this list and to the contents list:

        xsdSimpleTypeDefinition.getMemberTypeDefinitions().add(anonymousMemberType);
        xsdSimpleTypeDefinition.getContents()().add(anonymousMemberType);

       The variety is determined automatically by the presence of member type definitions.

  Returns:
    the value of the 'Member Type Definitions' reference list.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_MemberTypeDefinitions()`

### getFundamentalFacets

    EList<XSDFundamentalFacet> getFundamentalFacets()

  Returns the value of the 'Fundamental Facets' containment reference list. The list contents are of type `XSDFundamentalFacet`.

  This represents the fundamental facets infoset property. It is computed and should typically not be modified directly.

  Returns:
    the value of the 'Fundamental Facets' containment reference list.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_FundamentalFacets()`

### getBaseTypeDefinition

    XSDSimpleTypeDefinition getBaseTypeDefinition()

  Returns the value of the 'Base Type Definition' reference.

  This represents the base type definition infoset property.

  Returns:
    the value of the 'Base Type Definition' reference.
  See Also:
    `setBaseTypeDefinition(XSDSimpleTypeDefinition)`, `XSDPackage.getXSDSimpleTypeDefinition_BaseTypeDefinition()`

### setBaseTypeDefinition

    void setBaseTypeDefinition(XSDSimpleTypeDefinition value)

  Sets the value of the '`Base Type Definition`' reference.

  Parameters:
    `value` - the new value of the 'Base Type Definition' reference.
  See Also:
    `getBaseTypeDefinition()`

### getPrimitiveTypeDefinition

    XSDSimpleTypeDefinition getPrimitiveTypeDefinition()

  Returns the value of the 'Primitive Type Definition' reference.

  This represents the primitive type definition infoset property.

  Returns:
    the value of the 'Primitive Type Definition' reference.
  See Also:
    `setPrimitiveTypeDefinition(XSDSimpleTypeDefinition)`, `XSDPackage.getXSDSimpleTypeDefinition_PrimitiveTypeDefinition()`

### setPrimitiveTypeDefinition

    void setPrimitiveTypeDefinition(XSDSimpleTypeDefinition value)

  Sets the value of the '`Primitive Type Definition`' reference.

  Parameters:
    `value` - the new value of the 'Primitive Type Definition' reference.
  See Also:
    `getPrimitiveTypeDefinition()`

### getItemTypeDefinition

    XSDSimpleTypeDefinition getItemTypeDefinition()

  Returns the value of the 'Item Type Definition' reference.

  This represents the item type definition infoset property. When constructing a list type, an anonymous item type should be both set using this method and added to the contents list:

        xsdSimpleTypeDefinition.setItemTypeDefinition().add(itemType);
        xsdSimpleTypeDefinition.getContents()().add(itemType);

  The `variety` is determined automatically by the presence of an item type definition.

  Returns:
    the value of the 'Item Type Definition' reference.
  See Also:
    `setItemTypeDefinition(XSDSimpleTypeDefinition)`, `XSDPackage.getXSDSimpleTypeDefinition_ItemTypeDefinition()`

### setItemTypeDefinition

    void setItemTypeDefinition(XSDSimpleTypeDefinition value)

  Sets the value of the '`Item Type Definition`' reference.

  Parameters:
    `value` - the new value of the 'Item Type Definition' reference.
  See Also:
    `getItemTypeDefinition()`

### getRootTypeDefinition

    XSDSimpleTypeDefinition getRootTypeDefinition()

  Returns the value of the 'Root Type Definition' reference.

  This walks the `base type definitions` until it hits that one that has the ur-type definition as it's base type definition.

  Returns:
    the value of the 'Root Type Definition' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_RootTypeDefinition()`

### getMinFacet

    XSDMinFacet getMinFacet()

  Returns the value of the 'Min Facet' reference.

  This represents the `XSDMinFacet` of the `facet contents`.

  Returns:
    the value of the 'Min Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_MinFacet()`

### getMaxFacet

    XSDMaxFacet getMaxFacet()

  Returns the value of the 'Max Facet' reference.

  This represents the `XSDMaxFacet` of the `facet contents`.

  Returns:
    the value of the 'Max Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_MaxFacet()`

### getMaxInclusiveFacet

    XSDMaxInclusiveFacet getMaxInclusiveFacet()

  Returns the value of the 'Max Inclusive Facet' reference.

  This represents the `XSDMaxInclusiveFacet` of the `facet contents`.

  Returns:
    the value of the 'Max Inclusive Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_MaxInclusiveFacet()`

### getMinInclusiveFacet

    XSDMinInclusiveFacet getMinInclusiveFacet()

  Returns the value of the 'Min Inclusive Facet' reference.

  This represents the `XSDMinInclusiveFacet` of the `facet contents`.

  Returns:
    the value of the 'Min Inclusive Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_MinInclusiveFacet()`

### getMinExclusiveFacet

    XSDMinExclusiveFacet getMinExclusiveFacet()

  Returns the value of the 'Min Exclusive Facet' reference.

  This represents the `XSDMinExclusiveFacet` of the `facet contents`.

  Returns:
    the value of the 'Min Exclusive Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_MinExclusiveFacet()`

### getMaxExclusiveFacet

    XSDMaxExclusiveFacet getMaxExclusiveFacet()

  Returns the value of the 'Max Exclusive Facet' reference.

  This represents the `XSDMaxExclusiveFacet` of the `facet contents`.

  Returns:
    the value of the 'Max Exclusive Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_MaxExclusiveFacet()`

### getLengthFacet

    XSDLengthFacet getLengthFacet()

  Returns the value of the 'Length Facet' reference.

  This represents the `XSDLengthFacet` of the `facet contents`.

  Returns:
    the value of the 'Length Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_LengthFacet()`

### getWhiteSpaceFacet

    XSDWhiteSpaceFacet getWhiteSpaceFacet()

  Returns the value of the 'White Space Facet' reference.

  This represents the `XSDWhiteSpaceFacet` of the `facet contents`.

  Returns:
    the value of the 'White Space Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_WhiteSpaceFacet()`

### getEnumerationFacets

    EList<XSDEnumerationFacet> getEnumerationFacets()

  Returns the value of the 'Enumeration Facets' reference list. The list contents are of type `XSDEnumerationFacet`.

  This represents the `XSDEnumerationFacet` of the `facet contents`.

  Returns:
    the value of the 'Enumeration Facets' reference list.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_EnumerationFacets()`

### getPatternFacets

    EList<XSDPatternFacet> getPatternFacets()

  Returns the value of the 'Pattern Facets' reference list. The list contents are of type `XSDPatternFacet`.

  This represents the `XSDPatternFacet` of the `facet contents`.

  Returns:
    the value of the 'Pattern Facets' reference list.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_PatternFacets()`

### getCardinalityFacet

    XSDCardinalityFacet getCardinalityFacet()

  Returns the value of the 'Cardinality Facet' reference.

  This represents the `XSDCardinalityFacet` of the `fundamental facets`.

  Returns:
    the value of the 'Cardinality Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_CardinalityFacet()`

### getNumericFacet

    XSDNumericFacet getNumericFacet()

  Returns the value of the 'Numeric Facet' reference.

  This represents the `XSDNumericFacet` of the `fundamental facets`.

  Returns:
    the value of the 'Numeric Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_NumericFacet()`

### getMaxLengthFacet

    XSDMaxLengthFacet getMaxLengthFacet()

  Returns the value of the 'Max Length Facet' reference.

  This represents the `XSDMaxLengthFacet` of the `facet contents`.

  Returns:
    the value of the 'Max Length Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_MaxLengthFacet()`

### getMinLengthFacet

    XSDMinLengthFacet getMinLengthFacet()

  Returns the value of the 'Min Length Facet' reference.

  This represents the `XSDMinLengthFacet` of the `facet contents`.

  Returns:
    the value of the 'Min Length Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_MinLengthFacet()`

### getTotalDigitsFacet

    XSDTotalDigitsFacet getTotalDigitsFacet()

  Returns the value of the 'Total Digits Facet' reference.

  This represents the `XSDTotalDigitsFacet` of the `facet contents`.

  Returns:
    the value of the 'Total Digits Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_TotalDigitsFacet()`

### getFractionDigitsFacet

    XSDFractionDigitsFacet getFractionDigitsFacet()

  Returns the value of the 'Fraction Digits Facet' reference.

  This represents the `XSDFractionDigitsFacet` of the `facet contents`.

  Returns:
    the value of the 'Fraction Digits Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_FractionDigitsFacet()`

### getOrderedFacet

    XSDOrderedFacet getOrderedFacet()

  Returns the value of the 'Ordered Facet' reference.

  This represents the `XSDOrderedFacet` of the `fundamental facets`.

  Returns:
    the value of the 'Ordered Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_OrderedFacet()`

### getBoundedFacet

    XSDBoundedFacet getBoundedFacet()

  Returns the value of the 'Bounded Facet' reference.

  This represents the `XSDBoundedFacet` of the `fundamental facets`.

  Returns:
    the value of the 'Bounded Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_BoundedFacet()`

### getEffectiveMaxFacet

    XSDMaxFacet getEffectiveMaxFacet()

  Returns the value of the 'Effective Max Facet' reference.

  This represents the `XSDMaxFacet` of the `facets`.

  Returns:
    the value of the 'Effective Max Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_EffectiveMaxFacet()`

### getEffectiveWhiteSpaceFacet

    XSDWhiteSpaceFacet getEffectiveWhiteSpaceFacet()

  Returns the value of the 'Effective White Space Facet' reference.

  This represents the `XSDWhiteSpaceFacet` of the `facets`.

  Returns:
    the value of the 'Effective White Space Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_EffectiveWhiteSpaceFacet()`

### getEffectiveMaxLengthFacet

    XSDMaxLengthFacet getEffectiveMaxLengthFacet()

  Returns the value of the 'Effective Max Length Facet' reference.

  This represents the `XSDMaxLengthFacet` of the `facets`.

  Returns:
    the value of the 'Effective Max Length Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_EffectiveMaxLengthFacet()`

### getEffectiveFractionDigitsFacet

    XSDFractionDigitsFacet getEffectiveFractionDigitsFacet()

  Returns the value of the 'Effective Fraction Digits Facet' reference.

  This represents the `XSDFractionDigitsFacet` of the `facets`.

  Returns:
    the value of the 'Effective Fraction Digits Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_EffectiveFractionDigitsFacet()`

### getEffectivePatternFacet

    XSDPatternFacet getEffectivePatternFacet()

  Returns the value of the 'Effective Pattern Facet' reference.

  This represents the `XSDPatternFacet` of the `facets`. To iterate through each pattern that applies for this type, use the list returned by getEffectivePatternFacet().`getValue`().

  Returns:
    the value of the 'Effective Pattern Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_EffectivePatternFacet()`

### getEffectiveEnumerationFacet

    XSDEnumerationFacet getEffectiveEnumerationFacet()

  Returns the value of the 'Effective Enumeration Facet' reference.

  This represents the `XSDEnumerationFacet` of the `facets`. To iterate through each enumerator which is a legal value of this type, use the list returned by getEffectiveEnumerationFacet().`getValue`().

  Returns:
    the value of the 'Effective Enumeration Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_EffectiveEnumerationFacet()`

### getEffectiveTotalDigitsFacet

    XSDTotalDigitsFacet getEffectiveTotalDigitsFacet()

  Returns the value of the 'Effective Total Digits Facet' reference.

  This represents the `XSDTotalDigitsFacet` of the `facets`.

  Returns:
    the value of the 'Effective Total Digits Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_EffectiveTotalDigitsFacet()`

### getEffectiveMinLengthFacet

    XSDMinLengthFacet getEffectiveMinLengthFacet()

  Returns the value of the 'Effective Min Length Facet' reference.

  This represents the `XSDMinLengthFacet` of the `facets`.

  Returns:
    the value of the 'Effective Min Length Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_EffectiveMinLengthFacet()`

### getEffectiveLengthFacet

    XSDLengthFacet getEffectiveLengthFacet()

  Returns the value of the 'Effective Length Facet' reference.

  This represents the `XSDLengthFacet` of the `facets`.

  Returns:
    the value of the 'Effective Length Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_EffectiveLengthFacet()`

### getEffectiveMinFacet

    XSDMinFacet getEffectiveMinFacet()

  Returns the value of the 'Effective Min Facet' reference.

  This represents the `XSDMinLengthFacet` of the `facets`.

  Returns:
    the value of the 'Effective Min Facet' reference.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_EffectiveMinFacet()`

### getSyntheticFacets

    EList<XSDFacet> getSyntheticFacets()

  Returns the value of the 'Synthetic Facets' containment reference list. The list contents are of type `XSDFacet`.

  This represents the facets infoset property, if the rules require a synthesized facet.

  Returns:
    the value of the 'Synthetic Facets' containment reference list.
  See Also:
    `XSDPackage.getXSDSimpleTypeDefinition_SyntheticFacets()`

### assess

    XSDSimpleTypeDefinition.Assessment assess(org.w3c.dom.Node node)

  Returns an assessment of the node.

  Returns:
    an assessment of the node.
  See Also:
    `assess(java.lang.String)`

### assess

    XSDSimpleTypeDefinition.Assessment assess(java.lang.String literal)

  Returns an assessment of the literal.

  Returns:
    an assessment of the literal.
  See Also:
    `assess(org.w3c.dom.Node)`

### isValidLiteral

    boolean isValidLiteral(java.lang.String literal)

  Returns whether the literal is valid with respect to this simple type definition. This involves `assess`ing that the literal has no diagnostics.

  Parameters:
    `literal` - a literal.
  Returns:
    whether the literal is valid.

### getValue

    java.lang.Object getValue(java.lang.String literal)

  Returns the value of the literal in the value space of this simple type definition. The type of value expected depends the primitive type:

  Built-in Primitive Datatype | Corresponding Java Type
  --- | ---
  anyListType | java.util.List
  anyURI | java.lang.String
  base64Binary | org.eclipse.xsd.util.XSDUtil.ByteSequence

  boolean

  java.lang.Boolean

  dateTime

  int []

  date

  int []

  decimal

  java.math.BigDecimal

  double

  java.lang.Double

  duration

  int []

  float

  java.lang.Float

  gDay

  int []

  gMonth

  int []

  gMonthDay

  int []

  gYear

  int []

  gYearMonth

  int []

  hexBinary

  org.eclipse.xsd.util.XSDUtil.ByteSequence

  NOTATION

  java.lang.String

  QName

  java.lang.String

  string

  java.lang.String

  time

  int []

  All time-based values are represented as in Xerces.

  Parameters:
    `literal` - a literal.
  Returns:
    the value of the literal.

### getNormalizedLiteral

    java.lang.String getNormalizedLiteral(java.lang.String literal)

  Returns the normalized value of the literal with respect to this simple type definition.

  Parameters:
    `literal` - a literal.
  Returns:
    the normalized value of the literal.

### getCanonicalLiteral

    java.lang.String getCanonicalLiteral(java.lang.String literal)

  Returns the canonical literal of the literal with respect to this simple type definition.

  Parameters:
    `literal` - a literal.
  Returns:
    the canonical literal of the literal.

### compareLiterals

    int compareLiterals(java.lang.String literal1,
                        java.lang.String literal2)

  Returns `-1`, `0`, or `1`, depending on the `order` of the `value` of each of the given literals.

  Parameters:
    `literal1` - a literal.
    `literal2` - another literal.
  Returns:
    `-1`, `0`, or `1`, depending on the order of the value of each of the given literals.

### compareValues

    int compareValues(java.lang.Object value1,
                      java.lang.Object value2)

  Returns `-1`, `0`, or `1`, depending on the `order` of the `value`s.

  Parameters:
    `value1` - a value.
    `value2` - another value.
  Returns:
    `-1`, `0`, or `1`, depending on the order of the values.

### equalLiterals

    boolean equalLiterals(java.lang.String literal1,
                          java.lang.String literal2)

  Returns whether the `value` of each of the given literals are equal.

  Parameters:
    `literal1` - a literal.
    `literal2` - another literal.
  Returns:
    whether the `value` of each of the given literals are equal.

### equalValues

    boolean equalValues(java.lang.Object value1,
                        java.lang.Object value2)

  Returns whether the `value`s are equal.

  Parameters:
    `value1` - a literal.
    `value2` - another literal.
  Returns:
    whether the `value`s are equal.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.